/** @file counter_tests.cpp
 * This file contains test register.
 *
 * @author Mikhail Chupilko (chupilko@ispras.ru)
 */

#include <utils/testreg.h>
#include <counter_scen.h>

using namespace cpptesk::examples::counter;

ExampleScenario scen_rnd;
ExampleScenario scen_fsm;

TEST_REGISTRY_BEGIN
REGISTER_TEST(scen_rnd, engine::rnd, "-uerr=1 --length 10000 --parallel")
REGISTER_TEST(scen_fsm, engine::fsm, "-uerr=1")
TEST_REGISTRY_END

